spandsp 0.0.6

async_rx_state_s Struct Reference

`#include <async.h>`

## Public Attributes
int | data_bits
| The number of data bits per character.
int | parity
| The type of parity.
int | stop_bits
| The number of stop bits per character.
int | use_v14
| TRUE if V.14 rate adaption processing should be performed.
put_byte_func_t | put_byte
| A pointer to the callback routine used to handle received characters.
void * | user_data
| An opaque pointer passed when calling put_byte.
unsigned int | byte_in_progress
| A current, partially complete, character.
int | bitpos
| The current bit position within a partially complete character.
int | parity_bit
| Parity bit.
int | parity_errors
int | framing_errors

## Detailed Description

Asynchronous data receive descriptor. This defines the state of a single working instance of an asynchronous serial to byte converter, for use in FSK modems.

## Member Data Documentation

## ◆ framing_errors

int async_rx_state_s::framing_errors

A count of the number of character framing errors seen.

Referenced by async_rx_init().

## ◆ parity_errors

int async_rx_state_s::parity_errors

A count of the number of parity errors seen.

Referenced by async_rx_init().

The documentation for this struct was generated from the following file:

- private/async.h